<script>
  import { onMount } from "svelte";

  let employeeList = [];

  onMount(async () => {
    const response = await fetch("/employees");
    employeeList = await response.json();
  });
</script>

<h1>Telefonverzeichnis (alphabetisch)</h1>
<ul>
  {#each employeeList as employee}
  <li><b>{employee.name}</b> ({employee.role}, Stufe {employee.hierarchyLevel})
      <ul>
            <li>Telefon: {employee.phone}</li>
            <li>Email: {employee.email}</li>
            <li>Adresse: {employee.addressString}</li>
            <li>ID: {employee.id}</li>
      </ul>
  </li>
  {/each}
</ul>


